#ifndef __TYRLITE_PHONG_H__
#define __TYRLITE_PHONG_H__

typedef struct
{
    dface_t*	faces[2];
    vec3_t		interface_normal;
    vec_t		cos_normals_angle;
    qboolean	coplanar;
} edgeshare_t;

extern edgeshare_t	g_edgeshare[MAX_MAP_EDGES];
extern vec_t		g_smoothing_threshold;
extern int			facenum;
extern vec3_t   	faceoffset[MAX_MAP_FACES];

void PairEdges(void);
void GetPhongNormal(int facenum, vec3_t spot, vec3_t phongnormal);

#define NORMAL_EPSILON   0.00001

#endif /* __TYRLITE_PHONG_H__ */